/*****************************************************
 * Semestralni prace k predmetu AD7B36WPA
 * Nazev:       Evidence ucastniku ozdravnych pobytu
 * Zpracovala:  Radoslava Jandova
 * Username:    jandora1
 * Obor:        STM-SwI, 4. semestr 2010/2011 leto
 * Konzultace:  Radek Hubner
 * **************************************************/

/*****************************************************
 * Utility pro jsf stranky - LOGIN.
 ****************************************************/

package controller;

import java.security.Principal;
import javax.ejb.EJB;
import javax.faces.application.FacesMessage;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;
import javax.faces.context.ExternalContext;
import javax.faces.context.FacesContext;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;

@ManagedBean(name = "managedUtilBean")
@RequestScoped
public class ManagedUtilBean {

    @EJB
    UcastnikDAO facade;
    private String username;
    private String password;

    /** Creates a new instance of LoginBean */
    public ManagedUtilBean() {
    }

    public void login() {
        try {
            ExternalContext ec = FacesContext.getCurrentInstance().getExternalContext();
            HttpServletRequest req = (HttpServletRequest) ec.getRequest();
            req.login(username, password);
        } catch (ServletException ex) {
            FacesContext.getCurrentInstance().addMessage(null, new FacesMessage(ex.toString()));
        }
    }

    public void logout() {
        try {
            ExternalContext ec = FacesContext.getCurrentInstance().getExternalContext();
            HttpServletRequest req = (HttpServletRequest) ec.getRequest();
            req.logout();
        } catch (ServletException ex) {
            FacesContext.getCurrentInstance().addMessage(null, new FacesMessage(ex.toString()));
        }
    }

    public String getUser() {
        ExternalContext ec = FacesContext.getCurrentInstance().getExternalContext();
        HttpServletRequest req = (HttpServletRequest) ec.getRequest();
        Principal p = req.getUserPrincipal();
        if (p != null) {
            return p.getName();
        }
        return null;
    }

    public boolean isLogged() {
        return getUser() != null;
    }

    /**
     * @return the username
     */
    public String getUsername() {
        return username;
    }

    /**
     * @param username the username to set
     */
    public void setUsername(String username) {
        this.username = username;
    }

    /**
     * @return the password
     */
    public String getPassword() {
        return password;
    }

    /**
     * @param password the password to set
     */
    public void setPassword(String password) {
        this.password = password;
    }


}
